List API keys
GET/compute/v1/admin/api-keys
List API keys
Query Parameters
after_id: optional string
Return results after this ID
before_id: optional string
Return results before this ID
limit: optional number
Max items to return
minimum1
maximum100
workspace_id: optional string
Filter by workspace ID. If not provided, returns keys across all workspaces.
Returns
first_id: string
ID of the first item. Use as before_id for the previous page.
has_more: boolean
last_id: string
ID of the last item. Use as after_id for the next page.
List API keys
curl https://api.boltz.bio/compute/v1/admin/api-keys \
-H "x-api-key: $BOLTZ_API_KEY"{
"data": [
{
"id": "id",
"allowed_ips": [
"string"
],
"created_at": "2019-12-27T18:11:19.117Z",
"expires_at": "2019-12-27T18:11:19.117Z",
"is_active": true,
"key_prefix": "key_prefix",
"key_type": "admin",
"last_used_at": "2019-12-27T18:11:19.117Z",
"livemode": true,
"name": "name",
"workspace_id": "workspace_id"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}Returns Examples
{
"data": [
{
"id": "id",
"allowed_ips": [
"string"
],
"created_at": "2019-12-27T18:11:19.117Z",
"expires_at": "2019-12-27T18:11:19.117Z",
"is_active": true,
"key_prefix": "key_prefix",
"key_type": "admin",
"last_used_at": "2019-12-27T18:11:19.117Z",
"livemode": true,
"name": "name",
"workspace_id": "workspace_id"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}